import 'package:flutter/foundation.dart';
import 'package:shared_preferences/shared_preferences.dart';

class Data extends ChangeNotifier {
  // Configuration available parameters
  final List<String> _availableParameters = [];

  List<String> get availableParameters => _availableParameters;

  // Application default configuration

  // Application current configuration
  String getParameterValue(String parameterCode) {
    switch (parameterCode) {
      //
    }
    return '';
  }

  List getParameterAvailableValues(String parameterCode) {
    switch (parameterCode) {
      //
    }
    return [];
  }

  void setParameterValue(String parameterCode, String parameterValue) async {
    switch (parameterCode) {
      //
    }
    final prefs = await SharedPreferences.getInstance();
    prefs.setString(parameterCode, parameterValue);
  }

  // Game data
  bool _gameIsRunning = false;
  bool _gameIsFinished = false;

  bool get isGameRunning => _gameIsRunning;
  void updateGameIsRunning(bool gameIsRunning) {
    _gameIsRunning = gameIsRunning;
    notifyListeners();
  }

  bool get isGameFinished => _gameIsFinished;
  void updateGameIsFinished(bool gameIsFinished) {
    _gameIsFinished = gameIsFinished;
    notifyListeners();
  }

  void redraw() {
    notifyListeners();
  }

  void resetGame() {
    _gameIsRunning = false;
    _gameIsFinished = false;
    notifyListeners();
  }
}
